View Issue Details

IDProjectCategoryView StatusLast Update
0017651CentOS-7kernel-pluspublic2020-09-08 16:44
Reportertoracat 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version7.8-2003 
Target VersionFixed in Version 
Summary0017651: Add wireguard to kernel-plus (c7)
DescriptionWireGuard was merged into Linux 5.6. The source code has been backported to kernels 3.10 to 5.5 and is available from the wireguard-linux-compat.git repository. Procedure to build it is described in [1].

Note also that regular kernel users can use ELRepo's kmod-wireguard to get this functionality [2].

[1] https://www.wireguard.com/compilation/
[2] http://elrepo.org/tiki/tiki-index.php?page=kmod-wireguard
Additional InformationTo create a patch:

/path/to/git/wireguard-linux-compat/kernel-tree-scripts/create-patch.sh > wireguard-xxx.patch
  (xxx: version number)

kernel*config change (both standard and -debug):

CONFIG_NET_KEY=m
CONFIG_NET_KEY_MIGRATE=y
CONFIG_INET=y
CONFIG_WIREGUARD=m <===
# CONFIG_WIREGUARD_DEBUG is not set <===
CONFIG_IP_MULTICAST=y
CONFIG_IP_ADVANCED_ROUTER=y
CONFIG_IP_FIB_TRIE_STATS=y
TagsNo tags attached.
abrt_hash
URL

Relationships

related to 0017652 resolvedtoracat CentOS-8 Add wireguard to kernel-plus (c8) 

Activities

toracat

toracat

2020-08-20 22:38

manager   ~0037579

This was done in kernel-plus-3.10.0-1127.19.1.el7.centos.plus.
toracat

toracat

2020-08-26 16:23

manager   ~0037597

kernel-plus-3.10.0-1127.19.1.el7.centos.plus released.

$ modinfo wireguard
filename: /lib/modules/3.10.0-1127.19.1.el7.centos.plus.x86_64/kernel/net/wireguard/wireguard.ko.xz

The wireguard-tools package is available from EPEL.

Issue History

Date Modified Username Field Change
2020-08-07 16:01 toracat New Issue
2020-08-07 16:04 toracat Status new => assigned
2020-08-09 17:38 toracat Additional Information Updated View Revisions
2020-08-20 22:38 toracat Note Added: 0037579
2020-08-26 16:23 toracat Status assigned => resolved
2020-08-26 16:23 toracat Resolution open => fixed
2020-08-26 16:23 toracat Note Added: 0037597
2020-09-01 23:15 toracat Relationship added related to 0017652
2020-09-08 16:44 toracat Additional Information Updated View Revisions